Ubuntu Intrepid: Both Knetworkmanager and Network Manager load on startup

Bug #268803 reported by Jeremy LaCroix
58
This bug affects 7 people
Affects Status Importance Assigned to Milestone
knetworkmanager (Ubuntu)
Medium
Unassigned
Intrepid
Medium
Alexander Sack
Jaunty
Medium
Unassigned
network-manager-applet (Ubuntu)
Medium
Unassigned
Intrepid
Medium
Alexander Sack
Jaunty
Medium
Unassigned

Bug Description

I'm using Kubuntu Intrepid for over a month. Today, I decided to install the ubuntu-desktop metapackage so that I can see what's going on with the Ubuntu development.

When I chose GNOME as my session to use Ubuntu, both Knetworkmanager and Gnome's network manager started up. This should not be, only Gnome's Network Manager should load when using Ubuntu.

While browsing the sessions applet, I noticed that both jockey-kde and jockey-gtk were set to start up with Gnome. This also should not be.

Before Intrepid, I've been using Kubuntu+Ubuntu at the same time without this problem.

Update: Same behaviour when logging into KDE, both Knetworkmanager and Network Manager load.

description: updated
Revision history for this message
Jeremy LaCroix (jlacroix82-deactivatedaccount) wrote :

I have all the updates as of right now, and this problem still happens. This issue also effects a laptop I just set up today.

Revision history for this message
Martin Wilson (martinmwilson) wrote :

I can confirm this as well. However, I got this behaviour by going in the reverse direction. ie., I started out with a Gnome ubuntu-desktop install, and later install kubuntu-desktop. This caused the programs listed in the report to show up in my Sessions applet.

Revision history for this message
Martin Wilson (martinmwilson) wrote :

I can reproduce this behaviour as well.

Changed in network-manager-applet:
status: New → Confirmed
Revision history for this message
komputes (komputes) wrote :

I can also confirm this kind of behaviour. I started with kubuntu 8.04, installed ubuntu-desktop and gnomes worked fine in 8.04, then upgraded to 8.10 Beta (12 days from release) and I get KNetworkManager Instead of NetworkManager in my panel.

Revision history for this message
Jeremy LaCroix (jlacroix82-deactivatedaccount) wrote :

This is still a problem here. Knetworkmanager and gnome's network manager both start up when I log into KDE. I also have Gnome installed too. I attached a screenshot of the taskbar, where you can see both icons. Only knetworkmanger should start with KDE and only gnome's network manager should start with gnome.

Revision history for this message
Harald Sitter (apachelogger) wrote :

This ought to be fixed in network-manager-applet, not kubuntu-default-settings.

Changed in kubuntu-default-settings:
status: Confirmed → Invalid
Revision history for this message
Jarkko Lietolahti (jarkko-jab) wrote :

+1,I've have both ubuntu and kubuntu installed on the same computer and in both KNetworkManager and NetworkManager are there in the taskbar.

Katsudon (katsudon)
Changed in network-manager-applet:
status: New → Confirmed
Katsudon (katsudon)
Changed in network-manager-applet:
status: New → Confirmed
Revision history for this message
lugburz (lugburz) wrote :

I confirm this. I have solved disabling the KNetworkManager in the gnome session manager.

Revision history for this message
Alexander Sack (asac) wrote :

from what i understand knetworkmanagers starts in gnome too. The xdg file needs to be fixed as well there.

Changed in kubuntu-default-settings:
status: Invalid → Triaged
Changed in knetworkmanager:
status: Invalid → Triaged
Changed in network-manager-applet:
status: Confirmed → Triaged
status: Confirmed → Triaged
Revision history for this message
Jorge_C (jorge.c) wrote :

I can confirm a similar behaviour, actually like that of komputes: I started with Ubuntu 8.04.1, and later installed kubuntu-desktop. It worked fine until upgrading to 8.10: network applet disappeared from my tray and knetworkmanager appeared instead (always in a gnome session).

Revision history for this message
Renaud Denis (renaud.denis) wrote :

Same problem as for jorge_c...

Revision history for this message
Jorge_C (jorge.c) wrote :

However, in a kde4 session, both network manager and knetworkmanager load.

Revision history for this message
Jopa (q-launchpad-devreal-net) wrote :

yea Me2, kde4.1.2 intrepid both network managers loading. I had ubuntu added kubuntu-desktop then upgraded to 8.10

Revision history for this message
tony.damato (whatzgnu) wrote :

Please see the following similar bug (duplicate?) for how I fixed it on my machines:

https://bugs.launchpad.net/ubuntu/+source/knetworkmanager/+bug/280978

Hope this helps someone...

Alexander Sack (asac)
Changed in knetworkmanager:
importance: Undecided → Medium
assignee: nobody → asac
importance: Undecided → Medium
milestone: none → intrepid-updates
assignee: asac → nobody
milestone: intrepid-updates → none
Changed in network-manager-applet:
importance: Undecided → Medium
importance: Undecided → Medium
milestone: none → intrepid-updates
assignee: nobody → asac
Revision history for this message
Alexander Sack (asac) wrote :
Revision history for this message
Alexander Sack (asac) wrote :
Changed in knetworkmanager:
assignee: nobody → asac
milestone: none → intrepid-updates
Revision history for this message
Alexander Sack (asac) wrote :

uploaded knetworkmanager fix to jaunty (knetworkmanager_0.7svn864988-0ubuntu2_source.changes)

Changed in knetworkmanager:
status: Triaged → Fix Committed
Revision history for this message
Alexander Sack (asac) wrote :

upload knetworkmanager SRU to ubuntu/intrepid-proposed (knetworkmanager_0.7svn864988-0ubuntu1.8.10.1_source.changes)

Changed in knetworkmanager:
status: Triaged → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package knetworkmanager - 1:0.7svn864988-0ubuntu2

---------------
knetworkmanager (1:0.7svn864988-0ubuntu2) jaunty; urgency=low

  * fix LP: #268803 - Ubuntu Intrepid: Both Knetworkmanager and Network
    Manager load on startup; fix xdg autostart .desktop file to
    "OnlyShowIn=KDE"
    - add debian/patches/lp268803_xdg_autostart_only_show_in_KDE.patch

 -- Alexander Sack <email address hidden> Sat, 29 Nov 2008 17:17:56 +0100

Changed in knetworkmanager:
status: Fix Committed → Fix Released
Revision history for this message
Alexander Sack (asac) wrote :

rev 482

Changed in network-manager-applet:
status: Triaged → Fix Committed
Revision history for this message
Alexander Sack (asac) wrote :

reuploaded knetworkmanager (bad patch strip level):
knetworkmanager_0.7svn864988-0ubuntu1.8.10.2_source.changes knetworkmanager_0.7svn864988-0ubuntu3_source.changes

Revision history for this message
Alexander Sack (asac) wrote :

ok sigh. how much i hate simple-patchsys ... stupid thing.

last but not least uploaded knetworkmanager_0.7svn864988-0ubuntu4_source.changes knetworkmanager_0.7svn864988-0ubuntu1.8.10.3_source.changes

which hopefully builds.

Revision history for this message
Martin Pitt (pitti) wrote :

(??? simple-patchsys tries all sensible patch levels, 1, 0, and 2)

Changed in knetworkmanager:
milestone: intrepid-updates → none
status: In Progress → Fix Committed
Changed in network-manager-applet:
milestone: intrepid-updates → none
status: Triaged → Fix Committed
Revision history for this message
Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Revision history for this message
Munzir Taha (منذر طه) (munzirtaha) wrote :

Still the same problem, but
$ apt-cache policy knetworkmanager
knetworkmanager:
  Installed: 1:0.7svn864988-0ubuntu1.8.10.3
  Candidate: 1:0.7svn864988-0ubuntu1.8.10.3

Though I did an update and dist-upgrade just now

Revision history for this message
Jeremy LaCroix (jlacroix82-deactivatedaccount) wrote :

I enabled proposed but I wasn't sure what package I was looking for. Are both of the updates in Intrepid yet? If so please state what package versions I need to upgrade to. Network-manager-applet (as indicated in the header of this bug) isn't even in the repositories.

Alexander Sack (asac)
Changed in network-manager-applet:
milestone: none → intrepid-updates
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-applet - 0.7~~svn20081020t000444-0ubuntu2

---------------
network-manager-applet (0.7~~svn20081020t000444-0ubuntu2) jaunty; urgency=low

  * fix LP: #289466 - Network Manager 0.7 applet not Appearing if there are
    managed entries in /etc/network/interfaces; we always call
    applet_schedule_update_icon in client_init; also we also show the try when
    there are error conditions (no NM running, no managed device)
    - add debian/patches/lp289464_always_show_tray_icon.patch
    - update debian/patches/series
  * fix LP: #286421 - nm-connection-editor menu item untranslatable;
    add i18n support to nm-connection-editor.desktop; patch by Timo Jyrinki
    <email address hidden>
    - add debian/patches/lp286421_fix_i18n_bug_286421.patch
    - update debian/patches/series
  * fix LP: #268803 - Ubuntu Intrepid: Both Knetworkmanager and Network
    Manager load on startup; fix xdg autostart .desktop file to
    "OnlyShowIn=GNOME;XFCE;"
    - add debian/patches/lp268803_xdg_autostart_gnome_xfce_only.patch
    - update debian/patches/series
  * fix LP: #293749 - prefix vs. netmask translation inconsistencies in
    connection-editor causes confusion; we cherry pick rev1009 from upstream
    svn and backport that.
    - add debian/patches/lp293749_better_prefix_netmask_ui.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden> Mon, 01 Dec 2008 14:05:51 +0100

Changed in network-manager-applet:
status: Fix Committed → Fix Released
Revision history for this message
Alexander Sack (asac) wrote :

network-manager-applet_0.7~~svn20081020t000444-0ubuntu1.8.10.1_source.changes
network-manager-applet_0.7~~svn20081020t000444-0ubuntu2_source.changes

Changed in network-manager-applet:
status: Fix Committed → In Progress
Revision history for this message
Steve Langasek (vorlon) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in network-manager-applet:
milestone: intrepid-updates → none
status: In Progress → Fix Committed
Revision history for this message
Jeremy LaCroix (jlacroix82-deactivatedaccount) wrote : Re: [Bug 268803] Re: Ubuntu Intrepid: Both Knetworkmanager and Network Manager load on startup

I updated all the network-manager packages in Intrepid Propoosed and as
of right now this is fixed for me. I haven't tried Gnome yet, but I'm
logged into KDE and all the behaviour is correct. I'm not having any
issues with my network either.

Steve Langasek wrote:
> Accepted into intrepid-proposed, please test and give feedback here.
> Please see https://wiki.ubuntu.com/Testing/EnableProposed for
> documentation how to enable and use -proposed. Thank you in advance!
>
> ** Changed in: network-manager-applet (Ubuntu Intrepid)
> Status: In Progress => Fix Committed
> Target: intrepid-updates => None
>

Revision history for this message
Alexander Sack (asac) wrote : Re: [Bug 268803] Re: Ubuntu Intrepid: Both Knetworkmanager and Network Manager load on startup

On Sat, Nov 29, 2008 at 09:23:27PM -0000, Martin Pitt wrote:
> (??? simple-patchsys tries all sensible patch levels, 1, 0, and 2)
>

Yeah ... that wasnt the point. Everything whose preferred edit mode is
implemented through -edit-patch is far too complex and error prone for
_me_ to use ;) ... i rather prefer more "professional" patch systems
like quilt or VCS stuff.

 - Alexander

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-applet - 0.7~~svn20081020t000444-0ubuntu1.8.10.1

---------------
network-manager-applet (0.7~~svn20081020t000444-0ubuntu1.8.10.1) intrepid-proposed; urgency=low

  * fix LP: #289466 - Network Manager 0.7 applet not Appearing if there are
    managed entries in /etc/network/interfaces; we always call
    applet_schedule_update_icon in client_init; also we also show the try when
    there are error conditions (no NM running, no managed device)
    - add debian/patches/lp289464_always_show_tray_icon.patch
    - update debian/patches/series
  * fix LP: #286421 - nm-connection-editor menu item untranslatable;
    add i18n support to nm-connection-editor.desktop; patch by Timo Jyrinki
    <email address hidden>
    - add debian/patches/lp286421_fix_i18n_bug_286421.patch
    - update debian/patches/series
  * fix LP: #268803 - Ubuntu Intrepid: Both Knetworkmanager and Network
    Manager load on startup; fix xdg autostart .desktop file to
    "OnlyShowIn=GNOME;XFCE;"
    - add debian/patches/lp268803_xdg_autostart_gnome_xfce_only.patch
    - update debian/patches/series
  * fix LP: #293749 - prefix vs. netmask translation inconsistencies in
    connection-editor causes confusion; we cherry pick rev1009 from upstream
    svn and backport that.
    - add debian/patches/lp293749_better_prefix_netmask_ui.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden> Mon, 01 Dec 2008 14:05:51 +0100

Changed in network-manager-applet:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package knetworkmanager - 1:0.7svn864988-0ubuntu1.8.10.3

---------------
knetworkmanager (1:0.7svn864988-0ubuntu1.8.10.3) intrepid-proposed; urgency=low

  * fix LP: #268803 - Ubuntu Intrepid: Both Knetworkmanager and Network
    Manager load on startup; fix xdg autostart .desktop file to
    "OnlyShowIn=KDE"
    - add debian/patches/lp268803_xdg_autostart_only_show_in_KDE.patch

 -- Alexander Sack <email address hidden> Sat, 29 Nov 2008 17:17:56 +0100

Changed in knetworkmanager:
status: Fix Committed → Fix Released
Revision history for this message
Munzir Taha (منذر طه) (munzirtaha) wrote :

For me it's working properly now.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments